Bug 103466 - kernel produces non UTF-8 log messages in visor.c
kernel produces non UTF-8 log messages in visor.c
Status: CLOSED RAWHIDE
Product: Red Hat Linux Beta
Classification: Retired
Component: kernel (Show other bugs)
beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-31 08:56 EDT by Sjoerd Mullender
Modified: 2015-01-04 17:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-01 18:18:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sjoerd Mullender 2003-08-31 08:56:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5b) Gecko/20030827
Mozilla Firebird/0.6.1+

Description of problem:
When you attach a Palm handheld to the USB port, the kernel (actually the
usbserial driver) logs a number of messages to the syslog that contain latin-1
(i.e. non UTF-8) characters.

The culprit is the visor.c module that contains the string Cli� ("Clie" with
acute accent on the "e") in a number of places, encoded as latin-1 instead of UTF-8.

Version-Release number of selected component (if applicable):
kernel-2.4.21-20.1.2024.2.1.nptl

How reproducible:
Always

Steps to Reproduce:
1.Plug in Palm or compatible handheld in USB port
2.
3.
    

Actual Results:  Message gets logged in messages file with non UTF-8 characters.

Expected Results:  Pure UTF-8 messages.

Additional info:
Comment 1 Bill Nottingham 2003-08-31 22:20:28 EDT
Didn't Alan fix this upstream by clamping them to ascii?
Comment 2 Dave Jones 2003-09-01 17:18:12 EDT
Doesn't seem so. It's fixed in 2.6. I'll make sure this gets fixed up for 2.4
Comment 3 Dave Jones 2003-09-01 18:18:02 EDT
Ok, will be in the next rawhide kernel.

Note You need to log in before you can comment on or make changes to this bug.